> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/compute/bmc/vpc/subnet/deletesubnet.md).

# DeleteSubnet

## 1. API Description

This API (DeleteSubnet) is used to delete a subnet.

{% hint style="info" %} <mark style="color:blue;">**Note**</mark>

* <mark style="color:blue;">This API is an async API. A subnet ID list is returned after the deletion request is sent. However, it does not mean the deletion has been completed. The status of the subnet will be</mark> <mark style="color:blue;">`DELETING`</mark> <mark style="color:blue;">during the deletion. You can use</mark> [<mark style="color:blue;"><mark style="color:purple;">`DescribeSubnets`<mark style="color:purple;"></mark>](/api-reference/compute/bmc/vpc/subnet/describesubnets.md) <mark style="color:blue;">to query the status of the subnet. If this subnet does not exist in the subnet list, it means that the subnet has been deleted successfully. Any operations on the subnets are not allowed while deleting.</mark>
* <mark style="color:blue;">Operations on</mark> <mark style="color:blue;">subnets with instances in it are not supported. You can use</mark> [<mark style="color:blue;"><mark style="color:purple;">`DescribeSubnets`<mark style="color:purple;"></mark>](/api-reference/compute/bmc/vpc/subnet/describesubnets.md) <mark style="color:blue;">to query the status of the subnet.</mark>
* <mark style="color:blue;">Only operations on subnets in the status of</mark> <mark style="color:blue;">`AVAILABLE`</mark> <mark style="color:blue;">or</mark> <mark style="color:blue;">`CREATE_FAILED`</mark> <mark style="color:blue;">are supported.</mark>
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type   | Description |
| -------------- | -------- | ------ | ----------- |
| subnetId       | Yes      | String | Subnet ID.  |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
Delete a subnet.

```json
POST /api/v2/bmc HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DeleteSubnet
<Common Request Params>

Request:
{
  "subnetId": "833032938374308056"
}

Response:
{
  "requestId": "TA8D35A96-1BCC-4D10-96CB-CCB7600C1428",
  "response": {
    "requestId": "TA8D35A96-1BCC-4D10-96CB-CCB7600C1428"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code | Description |
| ---------------- | ---------- | ----------- |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/compute/bmc/vpc/subnet/deletesubnet.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
